Bug 128982 - When using ant to compile java program JTextArea is not found.
When using ant to compile java program JTextArea is not found.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ant (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Depends On:
  Show dependency treegraph
Reported: 2004-08-02 13:52 EDT by Jiaji Du
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiaji Du 2004-08-02 13:52:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
error: Class or interface `javax.swing.JTextArea' not found in import.
    [javac]    import javax.swing.JTextArea;
internal compiler error: Segmentation fault

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Write a build.xml file to compile a java program that imports
javax.swing.JTextArea class.
2.Run ant on the build.xml file.
3.The error message will come out.

Additional info:
Comment 1 Gary Benson 2004-08-13 11:15:38 EDT
Does this occur if you run classic-ant?

Also, what version of ant are you using?  What does 'rpm -qa ant' say?
Comment 2 Jiaji Du 2004-08-13 16:04:02 EDT
This does not occur if I run classic-ant.
I am using ant-1.6.2.
'rpm -qa ant' says "1.5.2-23".
Comment 3 RHEL Product and Program Management 2007-10-19 15:21:50 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.